Bug 1308231 - vit: FTBFS in rawhide
vit: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vit (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 17:40 EST by Fedora Release Engineering
Modified: 2016-03-08 12:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-20 00:27:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (4.81 KB, text/plain)
2016-02-13 17:40 EST, Fedora Release Engineering
no flags Details
root.log (83.81 KB, text/plain)
2016-02-13 17:40 EST, Fedora Release Engineering
no flags Details
state.log (597 bytes, text/plain)
2016-02-13 17:40 EST, Fedora Release Engineering
no flags Details
proposed patch (1.51 KB, patch)
2016-02-17 00:26 EST, Ralf Corsepius
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-13 17:40:48 EST
Your package vit failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12877131

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 17:40:50 EST
Created attachment 1126761 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 17:40:51 EST
Created attachment 1126762 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 17:40:52 EST
Created attachment 1126763 [details]
state.log
Comment 4 Ankur Sinha (FranciscoD) 2016-02-15 14:06:28 EST
Ack. Working on it.
Comment 5 Ralf Corsepius 2016-02-17 00:26 EST
Created attachment 1127845 [details]
proposed patch

The trigger of this FTBFS is the package lacking a BR: perl(Time::HiRes).

The patch in the attachment (against git master) is how I would address this.
Comment 6 Ralf Corsepius 2016-02-20 00:27:53 EST
Patch applied: http://koji.fedoraproject.org/koji/buildinfo?buildID=737306
Comment 7 Ankur Sinha (FranciscoD) 2016-03-08 12:19:16 EST
Thanks, Ralf!

Note You need to log in before you can comment on or make changes to this bug.